IPAC-CONVERT(8)

NAME
ipac-convert - convert ipac accounting data

SYNOPSIS
ipac-convert [ -f|--fetchipac FETCHIPAC ] [ -n|--nothing ] [ --start-step N ] [ --end-step N ] source_dir source_storage dest_dir dest_storage

DESCRIPTION
ipac-convert is part of the ipac linux ip accounting package.

ipac-convert reads all data stored in an ipac database as created by fetchipac(8) and copies it into another. It is able to access both databases through different storage methods and thus can convert between different database types.

On normal operation, ipac-convert reads the data from the database in the directory source_dir and copies it to the database in the directory dest_dir. The source database is accessed through the storage method source_storage and the destination database is accessed through the storage method dest_storage.

OPTIONS

-f|--fetchipac
    Tell ipac-convert which fetchipac to use. (ipac-convert needs fetchipac to access databases.)

-n|--nothing
    Don't actually do anything, but print the commands that would have been executed. This shows how ipac's database is accessed through fetchipac pretty well.

--start-step
    ipac-convert runs in four steps. Each step consists of one call to fetchipac. All these calls are normally connected in a pipeline. Using these options, the pipline is broken up; using --start-step will remove calls in front of the pipeline, resulting in ipac-convert waiting for input on stdin; using --end-step will remove calls at the back of the pipeline, resulting in ipac-convert to emit data on stdout. The numeric argument to these options is a step number 1 ... 4.

    The steps are: (1) list timestamps of source; (2) strip timestamp count line (that is the first line); (3) list records from source and (4) store records in destination.

BUGS
If the source database is corrupted, results are undefined.

VERSION
This man page belongs to ipac version 1.34.2. For updates and other information, look at http://sourceforge.net/projects/ipac-ng

AUTHOR
Moritz Both <moritz@daneben.de> Al Zaharov <kaiser13@mail2000.ru>

SEE ALSO
fetchipac(8)